Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create attribute

Creates a new attribute using the specified template. Field values are validated against the template’s field definitions (e.g., image fields require valid images, number fields must be numeric). For each template image field, send a file part using the field key, or a public image URL in the same form key, or reference an existing app image by UUID: use form field image_id when the field key is image, otherwise <field_key>_image_id (e.g. hero_image_id).

POST/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

attribute_template_keystringrequired

Attribute template key

Request body
application/x-www-form-urlencoded
keystring

Used to update the key for the attribute. Leave blank if you don't want to update the key

namestring

VariantName for the attribute

descriptionstring

Description for the attribute

Responses
200

Attributes

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attributerequired
Show properties
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
201

Successful response

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attributerequired
Show properties
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/x-www-form-urlencoded
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/attributes/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -d 'key=string&name=string&description=string'
Response
{
  "data": {
    "created_at": "string",
    "description": "string",
    "filterable": true,
    "id": "string",
    "key": "string",
    "name": "string",
    "template_key": "string",
    "template_name": "string",
    "translatable": true,
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "name": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string",
    "values": {
      "property1": {
        "field_id": "string",
        "id": "string",
        "image_id": "string",
        "image_object": {
          "alt": "string",
          "app_id": "string",
          "blurhash": "string",
          "copyright": "string",
          "custom": {
            "property1": "string",
            "property2": "string"
          },
          "folder_id": "string",
          "id": "string",
          "parent_id": "string",
          "public": true,
          "status": "string",
          "title": "string",
          "url": "string"
        },
        "translations": {
          "value": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "type": "string",
        "value": "string"
      },
      "property2": {
        "field_id": "string",
        "id": "string",
        "image_id": "string",
        "image_object": {
          "alt": "string",
          "app_id": "string",
          "blurhash": "string",
          "copyright": "string",
          "custom": {
            "property1": "string",
            "property2": "string"
          },
          "folder_id": "string",
          "id": "string",
          "parent_id": "string",
          "public": true,
          "status": "string",
          "title": "string",
          "url": "string"
        },
        "translations": {
          "value": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "type": "string",
        "value": "string"
      }
    }
  },
  "details": [
    "string"
  ],
  "success": true
}